(function($) {

	var
		base      = '../assets/addon/webvariants/developer-utils/',
		hiddenKey = 'wv-ishidden',
		showKey   = 'wv-onshow',
		hideKey   = 'wv-onhide';

	var minimalIsHidden = function(table) {
		return table.is('.wv-hidden');
	};

	var toggleTable = function() {
		var
			link     = this,
			table    = $(link).closest('table'),
			isHidden = $(link).data(hiddenKey),
			onShow   = $(link).data(showKey),
			onHide   = $(link).data(hideKey),
			lastTh   = $('th:last', table);

		if (isHidden(table)) {
			table.removeClass('wv-hidden');
			link.src = base + 'images/up.png';
			lastTh.removeClass('wv-collapsed');

			onShow(table);
		}
		else {
			table.addClass('wv-hidden');
			link.src = base + 'images/down.png';
			lastTh.addClass('wv-collapsed');

			onHide(table);
		}
	};

	$.fn.extend({
		wvToggleTable: function(settings) {
			settings = $.extend({}, {
				isHidden: minimalIsHidden,
				onClick:  toggleTable,
				onHide:   function(fieldset) { },
				onShow:   function(fieldset) { }
			}, settings);

			return this.each(function() {
				if (!$(this).is('table')) return;

				var
					lastTh = $('th:last', this),
					table  = $(this);

				if (settings.isHidden(table)) {
					lastTh.append('<img class="wv-tabletoggle" src="' + base + 'images/down.png" alt="" />');
					lastTh.addClass('wv-collapsed');
					table.addClass('wv-hidden');
				}
				else {
					lastTh.append('<img class="wv-tabletoggle" src="' + base + 'images/up.png" alt="" />');
				}

				$('.wv-tabletoggle', lastTh)
					.data(hiddenKey, settings.isHidden)
					.data(showKey,   settings.onShow)
					.data(hideKey,   settings.onHide)
					.bind('click', settings.onClick);
			});
		}
	});

}(jQuery));
