/*
 * Copyright (c) 2013, webvariants GbR, http://www.webvariants.de
 *
 * This file is released under the terms of the MIT license. You can find the
 * complete text in the attached LICENSE file or online at:
 *
 * http://www.opensource.org/licenses/mit-license.php
 */

jQuery(function($) {
	var hidden = $.cookie('wv8_hidden_legends');
	hidden = (hidden === '' || hidden === null) ? [] : hidden.split(',');

	/////////////////////////////////////////////////////////////////////////////
	// handle form submissions

	$('form.wv8-form').submit(function() {
		var
			form   = $(this),
			action = form.attr('action'),
			submit = $('.sly-form-buttonbar input[type="submit"]', form),
			data   = form.serialize(),
			span   = $('<span class="wv8-ajax loading">&hellip;</span>');

			// reset the form
			$('.wv8-ajax', form).remove();
			form.next('.wv8-errors').remove();
			$('label.wv8-error', form).removeClass('wv8-error');

			// append loading indicator
			$('.sly-form-buttonbar', form).append(span);

			// disable form
			submit.prop('disabled', true);

			// submit data
			$.post(action, data, function(response) {
				span.removeClass('loading').addClass(response.status === 0 ? 'success' : 'error').text(response.message);
				submit.prop('disabled', false);

				// Fehler ggf. anzeigen

				if (response.status === 1 && 'errors' in response) {
					var ul = $('<ul class="wv8-errors"></ul>');

					for (var id in response.errors) {
						ul.append($('<li>').text(response.errors[id]));
						$('label[for="property_'+id+'_value"]', form).addClass('wv8-error');
					}

					form.after(ul);
				}
			}, 'json');

			return false;
	});

	/////////////////////////////////////////////////////////////////////////////
	// add toggle fieldset behaviour

	$('form.wv8-form fieldset').wvToggleFieldset({
		isHidden: function(fieldset) {
			var id = fieldset.data('wv8id')+'';
			return $.inArray(id, hidden) >= 0;
		},

		onHide: function(fieldset) {
			var id = fieldset.data('wv8id')+'';
			hidden.push(id);
			$.cookie('wv8_hidden_legends', hidden.join(','), 30);
		},

		onShow: function(fieldset) {
			var id = fieldset.data('wv8id')+'';
			hidden.splice(hidden.indexOf(id), 1);
			$.cookie('wv8_hidden_legends', hidden.join(','), 30);
		}
	});
});
