<?php
/*
 * Copyright (c) 2013, webvariants GbR, http://www.webvariants.de
 *
 * This file is released under the terms of the MIT license. You can find the
 * complete text in the attached LICENSE file or online at:
 *
 * http://www.opensource.org/licenses/mit-license.php
 */

class WV8_Authorisation_Provider implements sly_Authorisation_ListProvider {
	private static $cache;

	private function initcache() {
		if (!isset(self::$cache)) {
			self::$cache = array(self::ALL => t('all'));

			$settings = sly_Core::getContainer()->get('wv8-provider')->getSettings(null, null, null);

			foreach ($settings as $key => $setting) {
				self::$cache[$key] = sly_translate($setting->getTitle(), false);
			}
		}
	}

	public function getObjectIds() {
		$this->initcache();
		return array_keys(self::$cache);
	}

	public function getObjectTitle($id) {
		$this->initcache();
		return self::$cache[$id];
	}
}
