<?php
/*
 * Copyright (c) 2013, webvariants GbR, http://www.webvariants.de
 *
 * This file is released under the terms of the MIT license. You can find the
 * complete text in the attached LICENSE file or online at:
 *
 * http://www.opensource.org/licenses/mit-license.php
 */

namespace wv\metainfo\Configuration;

use wv\metainfo\Metainfo;
use wv\metainfo\Util;

abstract class Base {
	public function getAllMetainfos() {
		$result = array();

		foreach (Metainfo::getSupportedTypes() as $type) {
			$result[$type] = $this->getAllMetainfoDataForType($type);
		}

		return $result;
	}

	abstract protected function getAllMetainfoDataForType($type);
}
