<?php
/*
 * Copyright (c) 2013, webvariants GbR, http://www.webvariants.de
 *
 * This file is released under the terms of the MIT license. You can find the
 * complete text in the attached LICENSE file or online at:
 *
 * http://www.opensource.org/licenses/mit-license.php
 */

namespace wv\metainfo\Property;

use wv\metainfo\Metainfo;

/**
 * User metainfo
 *
 * @author Christoph
 */
class User extends Property {
	/**
	 * whether or not this property should be editable on the user's profile
	 *
	 * @var boolean
	 */
	protected $profile;

	/**
	 * Constructor
	 *
	 * @param type  $name
	 * @param array $data
	 */
	public function __construct($name, array $data) {
		parent::__construct(Metainfo::TYPE_USER, $name, $data);

		$this->profile = $this->getData('profile', false);
	}

	public function getProfile() {
		return $this->profile;
	}
}
